<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class TwitchWebhook extends Model
{

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        "type",
        "topic",
        "callback",
        "active",
        "expires_at",
        "disabled"
    ];

    /**
     * Get the user that owns the access token.
     */
    public function user() {
        return $this->belongsTo("App\User");
    }

    /**
     * Get webhook action
     */
    public function webhookActions() {
        return $this->hasMany("App\WebhookAction", "webhook_id");
    }
}
